<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;

class lobbies_SINGLE_Controller extends Controller
{
    public $selfName = 'lobbies_SINGLE_Controller';

	// GET /lobbies/view/{uid}/ACTION_putName
	public function ACTION_putName(Request $request, $uid) {
		$record = DB::table('lobby')->where('uid', $uid)->first();
		return view('admin/lobbies_SINGLE/ACTION_putName', compact('record'));
	}

	// GET /lobbies/view/{uid}/ACTION_putUrlSlug
	public function ACTION_putUrlSlug(Request $request, $uid) {
		$record = DB::table('lobby')->where('uid', $uid)->first();
		return view('admin/lobbies_SINGLE/ACTION_putUrlSlug', compact('record'));
	}

	// GET /lobbies/view/{uid}/ACTION_setIsStrangerAccessibleToTrue
	public function ACTION_setIsStrangerAccessibleToTrue(Request $request, $uid) {
		$record = DB::table('lobby')->where('uid', $uid)->first();
		return view('admin/lobbies_SINGLE/ACTION_setIsStrangerAccessibleToTrue', compact('record'));
	}

	// GET /lobbies/view/{uid}/ACTION_setIsStrangerAccessibleToFalse
	public function ACTION_setIsStrangerAccessibleToFalse(Request $request, $uid) {
		$record = DB::table('lobby')->where('uid', $uid)->first();
		return view('admin/lobbies_SINGLE/ACTION_setIsStrangerAccessibleToFalse', compact('record'));
	}

	// GET /lobbies/view/{uid}/ACTION_setIsClientAccessibleToTrue
	public function ACTION_setIsClientAccessibleToTrue(Request $request, $uid) {
		$record = DB::table('lobby')->where('uid', $uid)->first();
		return view('admin/lobbies_SINGLE/ACTION_setIsClientAccessibleToTrue', compact('record'));
	}

	// GET /lobbies/view/{uid}/ACTION_setIsClientAccessibleToFalse
	public function ACTION_setIsClientAccessibleToFalse(Request $request, $uid) {
		$record = DB::table('lobby')->where('uid', $uid)->first();
		return view('admin/lobbies_SINGLE/ACTION_setIsClientAccessibleToFalse', compact('record'));
	}

	// GET /lobbies/view/{uid}/SUB_dashboard
	public function SUB_dashboard(Request $request, $uid) {
		$record = DB::table('lobby')->where('uid', $uid)->first();
		return view('admin/lobbies_SINGLE/SUB_dashboard', compact('record'));
	}

	// GET /lobbies/view/{uid}/SUB_lobby_pros
	public function SUB_lobby_pros(Request $request, $uid) {
		$record = DB::table('lobby')->where('uid', $uid)->first();
		$subRecords = DB::table('lobby_pro')->where('lobby_id', $record->id)->get();
		return view('admin/lobbies_SINGLE/SUB_lobby_pros', compact('record', 'subRecords'));
	}

	// GET /lobbies/view/{uid}/SUB_meetings
	public function SUB_meetings(Request $request, $uid) {
		$record = DB::table('lobby')->where('uid', $uid)->first();
		$subRecords = DB::table('meeting')->where('lobby_id', $record->id)->get();
		return view('admin/lobbies_SINGLE/SUB_meetings', compact('record', 'subRecords'));
	}

	// GET /lobbies/view/{uid}/ACTION_lobby_prosAddNew
	public function ACTION_lobby_prosAddNew(Request $request, $uid) {
		$record = DB::table('lobby')->where('uid', $uid)->first();
		return view('admin/lobbies_SINGLE/ACTION_lobby_prosAddNew', compact('record'));
	}
}
